{% extends "default.html" %}
{% load static %}
{% load django_bootstrap5 %}

{% block content %}
<ol class="breadcrumb add-top-margin">
    <li class="breadcrumb-item">
        <a href="{% url 'panels:index' %}">Panels</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ view.panel.get_absolute_url }}">
            {{ view.panel.level4title.name }}
        </a>
    </li>
    <li class="breadcrumb-item active">
        Edit STR
    </li>
</ol>

<h1>
    {% block title %}Edit STR {{ object.name }} in panel {{ view.panel.level4title.name }}{% endblock %}
</h1>

{% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
    <form class="row add-top-margin remove-empty-array-val" method="post">
        {% csrf_token %}
        <div class="col-md-8">
            <div class="card card-body bg-light add-bottom-margin">
                <fieldset>
                    {% for field in form %}
                        <div class="form-group">
                            {% if field.name == "mode_of_pathogenicity" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#model_of_path" ><i class="fa fa-question-circle"></i></a>
                            {% elif field.name == "Model_of_inheritance" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#moi" ><i class="fa fa-question-circle"></i></a>
                            {% elif field.name == "rating" %}
                                <hr />
                                <h4 class="add-label-margin">Review STR</h4>
                                <p class="text-muted">You can optionally include a review of this STR when you add it.</p>
                                {{ field.label_tag }}
                            {% elif field.name == "current_diagnostic" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#diagostic" ><i class="fa fa-question-circle"></i></a>
                            {% else %}
                                {{ field.label_tag }}
                            {% endif %}

                            {% if field.help_text %}
                                <div class="text-muted">{{ field.help_text }}</div>
                            {% endif %}

                            {% bootstrap_field field show_label=False show_help=False %}
                        </div>
                    {% endfor %}
                    <button type="submit" class="btn btn-primary">Update STR</button>
                </fieldset>
            </div>
        </div>
    </form>
    {{ form.media }}
    {% block modals %}
        {% include "panels/modals/rating.html" %}
        {% include "panels/modals/mode_of_path.html" %}
        {% include "panels/modals/diagnostic.html" %}
        {% include "panels/modals/mode_of_inheritance.html" %}
    {% endblock %}
{% endif %}
{% endblock %}
